# Creatives Object

> Source: https://truto.one/docs/api-reference/unified-ads-management-api/creatives/

Schema for the `Creatives` resource in **Unified Ads Management API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the creative.
- **`name`** _(string)_
  The name of the creative.
- **`status`** _(string)_
  The status of the creative.
  Allowed: `active`, `deleted`, `in_process`, `with_issues`
- **`account_id`** _(string)_
  The unique identifier for the account.
- **`labels`** _(array<object>)_
  The labels for the creative.
  - **`id`** _(string)_
    The unique identifier for the label.
  - **`name`** _(string)_
    The name of the label.
- **`applink_treatment`** _(string)_
  The applink treatment for the creative.
  Allowed: `automatic`, `deeplink_with_appstore_fallback`, `deeplink_with_web_fallback`, `web_only`
- **`authorization_category`** _(string)_
  The authorization category for the creative.
  Allowed: `none`, `political`
- **`body`** _(string)_
  The body for the creative.
- **`call_to_action_type`** _(string)_
  The call to action type for the creative.
  Allowed: `open_link`, `like_page`, `shop_now`, `play_game`, `install_app`, `use_app`, `call`, `call_me`, `video_call`, `install_mobile_app`, `use_mobile_app`, `mobile_download` (+63 more)
- **`image_crops`** _(object)_
  The image crops for the creative.
- **`image_hash`** _(string)_
  The image hash for the creative.
- **`image_url`** _(string)_
  The image URL for the creative.
- **`properties`** _(array<object>)_
  The properties for the creative.
  - **`id`** _(string)_
    The unique identifier for the property.
  - **`type`** _(string)_
    The type for the property.
  - **`url`** _(string)_
    The URL for the property.
- **`spec`** _(object)_
  The spec for the creative.
- **`interactive_components`** _(object)_
  The interactive components for the creative.
- **`urls`** _(array<object>)_
  The URLs for the creative.
  - **`id`** _(string)_
    The unique identifier for the URL.
  - **`type`** _(string)_
    The type for the URL.
  - **`url`** _(string)_
    The URL for the URL.
- **`created_at`** _(string)_
  The date and time the creative was created.
- **`updated_at`** _(string)_
  The date and time the creative was last updated.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ads/creatives](/docs/api-reference/unified-ads-management-api/creatives/list) — List Creatives
- [POST /unified/ads/creatives](/docs/api-reference/unified-ads-management-api/creatives/create) — Create Creatives
- [GET /unified/ads/creatives/{id}](/docs/api-reference/unified-ads-management-api/creatives/get) — Get Creatives
- [PATCH /unified/ads/creatives/{id}](/docs/api-reference/unified-ads-management-api/creatives/update) — Update Creatives
- [DELETE /unified/ads/creatives/{id}](/docs/api-reference/unified-ads-management-api/creatives/delete) — Delete Creatives
